Jump to content

Software compatible with Windows Vista Extended Kernel


Recommended Posts

2 minutes ago, TECHGEEK said:

Telegram does not open(I tested the portable version). It asks for GetTouchInputInfo in user32.dll. It must be 32bit (I've not yet checked). Could you take note of this @win32?

Tested on a Vista Home Premium x64 VM full updated till Jan. 2020

Capture.thumb.JPG.553a47025ecaecd82c75a5a00c2cfb7f.JPG

 

Link to post
Share on other sites

5 minutes ago, TECHGEEK said:

Telegram does not open(I tested the portable version). It asks for GetTouchInputInfo in user32.dll. It must be 32bit (I've not yet checked). Could you take note of this

Yes, Telegram is also 32bit. Since the x86 situation was previously very poor, I hadn't bothered to release anything other than kernel32. But I do plan on releasing an x86 user32 with the next update.

Link to post
Share on other sites
30 minutes ago, win32 said:

Yes, Telegram is also 32bit. Since the x86 situation was previously very poor, I hadn't bothered to release anything other than kernel32. But I do plan on releasing an x86 user32 with the next update.

Ok cool... when will you release your next kernelex update?

Link to post
Share on other sites
2 minutes ago, TECHGEEK said:

Ok cool... when will you release your next kernelex update?

Sometime in December. Probably towards the end.

Link to post
Share on other sites

@win32, does this extended kernel work with Server 2008 also as I want to know that before testing it myself in a VM. If it does, I could test some applications on Server 2008 and help you. (My question might be silly, but please answer)

Edited by TECHGEEK
Link to post
Share on other sites
6 hours ago, TECHGEEK said:

@win32, does this extended kernel work with Server 2008 also as I want to know that before testing it myself in a VM. If it does, I could test some applications on Server 2008 and help you. (My question might be silly, but please answer)

There's no reason why they shouldn't. They're close enough.

Link to post
Share on other sites
On 11/23/2020 at 9:50 AM, pridesnow said:

It worked like that before the extended kernel. This game is based on x86 architecture, even without kernelex it works fine for me, only giving an error at the beginning, which does not affect the work in the future. And it works because the game itself is made on net. framework 4 which supports Windows Vista

image.png

odd. I tried earlier this year and remember getting an error related to shell32 and the game absolutely refused to boot. 

Link to post
Share on other sites
3 hours ago, JeBobs said:

odd. I tried earlier this year and remember getting an error related to shell32 and the game absolutely refused to boot. 

Maybe you did not have .net framework 4.0 installed on your Vista pc. I don't know exactly what the cause of this error is, since I am not a gamer.

Edited by TECHGEEK
Link to post
Share on other sites
8 minutes ago, TECHGEEK said:

Maybe you did not have .net framework 4.0 installed on your Vista pc. I don't know exactly what the cause of this error is, since I am not a gamer.

That would not be the cause of any shell32-related error, as that is a pure win32 binary (now errors in files such as mscoree.dll, clr.dll etc. would point to a .NET-related issue). I don't know osu, but perhaps there are multiple branches of it that call for different system API functions.

Edited by win32
Link to post
Share on other sites
7 minutes ago, win32 said:

I don't know osu, but perhaps there are multiple branches of it that call for different system API functions.

I don't think this is possible because there is only one download link on their website. Will test it later and revert to you

Link to post
Share on other sites
57 minutes ago, TECHGEEK said:

I don't think this is possible because there is only one download link on their website. Will test it later and revert to you

It won't launch if .net FW 4.0 is not installed

Capture.JPG

Link to post
Share on other sites
25 minutes ago, TECHGEEK said:

It won't launch if .net FW 4.0 is not installed

Capture.JPG

I installed .NET FW 4.0 and 4.5.2 and the game can install completely. But when launching the game, a kernel32.dll error pops up which however does not prevent the running of the game. You can press OK, ignore the error and game on!

Edited by TECHGEEK
Link to post
Share on other sites
6 hours ago, TECHGEEK said:

I installed .NET FW 4.0 and 4.5.2 and the game can install completely. But when launching the game, a kernel32.dll error pops up which however does not prevent the running of the game. You can press OK, ignore the error and game on!

This is actually about what I'm talking about. Just install .net 4.0 and everything will work like on the newer versions of Windows! Also I remember that osu! did not gave me this error in 2019. Weird thing:huh:

  • Upvote 1
Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...